cascading.flow.planner.iso.transformer

## Class SubGraphTransformer

- java.lang.Object
- - cascading.flow.planner.iso.transformer.GraphTransformer<ElementGraph,ElementSubGraph>
  - - cascading.flow.planner.iso.transformer.SubGraphTransformer

-     public class SubGraphTransformer
      extends GraphTransformer<ElementGraph,ElementSubGraph>

  Class SubGraphTransformer will return a bounded sub-graph after matching a sub-graph within a contracted graph.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubGraphTransformer(GraphTransformer graphTransformer, ExpressionGraph subGraphMatcher)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ElementSubGraph` | `asSubGraphOf(ElementGraph rootGraph, ElementGraph contractedSubGraph)`
    `Transformed<ElementSubGraph>` | `transform(PlannerContext plannerContext, ElementGraph rootGraph)`

    - ### Methods inherited from class cascading.flow.planner.iso.transformer.GraphTransformer

      `transform`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubGraphTransformer

          public SubGraphTransformer(GraphTransformer graphTransformer,
                             ExpressionGraph subGraphMatcher)

  - ### Method Detail

    - #### transform

          public Transformed<ElementSubGraph> transform(PlannerContext plannerContext,
                                               ElementGraph rootGraph)

      Specified by:
        `transform` in class `GraphTransformer<ElementGraph,ElementSubGraph>`

    - #### asSubGraphOf

          protected ElementSubGraph asSubGraphOf(ElementGraph rootGraph,
                                     ElementGraph contractedSubGraph)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.